
package de.ivu.elect.business.stimmeingabe.entity;

import de.ivu.elect.business.gebietsbaum.entity.EntityMitGebiet;
import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.gebietsbaum.entity.Wahldurchfuehrungsgebiet;

public abstract class AbstractErgebnisGueltigerEingang implements ErgebnisGueltigerEingangBase, EntityMitGebiet {

  private static final long serialVersionUID = 1L;

  public AbstractErgebnisGueltigerEingang() {
    super();
  }

  public Wahldurchfuehrungsgebiet getWahldurchfuehrungsgebiet() {
    return getErgebniseingang().getWahldurchfuehrungsgebiet();
  }

  @Override
  public Gebiet getGebiet() {
    return getWahldurchfuehrungsgebiet();
  }
}
